Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class Connection.StatusInfo

    java.lang.Object
      org.teleal.cling.support.model.Connection.StatusInfo

Enclosing class:
  Connection

    public static class Connection.StatusInfo

extends Object

Constructor Summary
`Connection.StatusInfo(Connection.Status status, long uptimeSeconds, Connection.Error lastError)`
`Connection.StatusInfo(Connection.Status status, org.teleal.cling.model.types.UnsignedIntegerFourBytes uptime, Connection.Error lastError)`

Method Summary
`boolean` | `equals(Object o)`
`Connection.Error` | `getLastError()`
`Connection.Status` | `getStatus()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getUptime()`
`long` | `getUptimeSeconds()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Connection.StatusInfo

    public Connection.StatusInfo(Connection.Status status,
                                 org.teleal.cling.model.types.UnsignedIntegerFourBytes uptime,
                                 Connection.Error lastError)

### Connection.StatusInfo

    public Connection.StatusInfo(Connection.Status status,
                                 long uptimeSeconds,
                                 Connection.Error lastError)

Method Detail

### getStatus

    public Connection.Status getStatus()

### getUptimeSeconds

    public long getUptimeSeconds()

### getUptime

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getUptime()

### getLastError

    public Connection.Error getLastError()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.